<?php

/*

Plugin Name: CDA Kandidatenlijstgegevens

Plugin URI: http://verkiezingen.cdahuizen.nl

Description: Sta leden van de kandidatenlijst in staat om extra informatie op te geven voor de website.

Author: Ruben Woudsma

Version: 0.5 NL

Author URI: http://rubenwoudsma.nl

*/



class custom_user_meta {



	function custom_user_meta() {

	    if ( is_admin() ) {

	        add_action('show_user_profile', array(&$this,'action_show_user_profile'));

	        add_action('edit_user_profile', array(&$this,'action_show_user_profile'));

	        add_action('personal_options_update', array(&$this,'action_process_option_update'));

	        add_action('edit_user_profile_update', array(&$this,'action_process_option_update'));

	    }

	}

	

	function action_show_user_profile() {

	    global $user_id;

	    ?>

	    <h3>Gebruikersprofiel - Extra informatie</h3>

	

	    <table class="form-table">

		    <tr>

		        <th><label for="listposition">Positie lijst</label></th>

		        <td>

	          <select name="listposition" id="listposition">

						<?php

						echo '<option value=""' . (esc_attr(get_the_author_meta('listposition',$user_id)) == '' ? ' selected="selected"' : '') . '>- Selecteer positie -</option>';



						for ($i = 1; $i <= 30; $i++)

						{

							echo '<option value="' . $i . '" ' . ($i == esc_attr(get_the_author_meta('listposition', $user_id) ) ? 'selected="selected"' : '') . '">' . $i . '</option>';

						}

						?>

						</select>

						</td>

		    </tr>

		    <tr>

		        <th><label for="phonenumber">Telefoonnummer</label></th>

		        <td><input type="text" name="phonenumber" id="phonenumber" value="<?php echo esc_attr(get_the_author_meta('phonenumber', $user_id) ); ?>" class="regular-text" /><span class="description">Vul hier een telefoonnummer in met het formaat <code>035-5212345</code>.</span></td>

		    </tr>

		    <tr>

		        <th><label for="streetname">Straat</label></th>

		        <td><input type="text" name="streetname" id="streetname" value="<?php echo esc_attr(get_the_author_meta('streetname', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

		    <tr>

		        <th><label for="postalcode">Postcode</label></th>

		        <td><input type="text" name="postalcode" id="postalcode" value="<?php echo esc_attr(get_the_author_meta('postalcode', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

		    <tr>

		        <th><label for="city">Woonplaats</label></th>

		        <td><input type="text" name="city" id="city" value="<?php echo esc_attr(get_the_author_meta('city', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

		    <tr>

		        <th><label for="maritalstatus">Burgelijke staat</label></th>

		        <td><input type="text" name="maritalstatus" id="maritalstatus" value="<?php echo esc_attr(get_the_author_meta('maritalstatus', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

		    <tr>

		        <th><label for="religion">Kerkelijke gezindte</label></th>

		        <td><input type="text" name="religion" id="religion" value="<?php echo esc_attr(get_the_author_meta('religion', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

		    <tr>

		        <th><label for="education">Opleiding</label></th>

		        <td><input type="text" name="education" id="education" value="<?php echo esc_attr(get_the_author_meta('education', $user_id) ); ?>" class="regular-text" /></td>

		    </tr>

	    </table>

	    <?php

	}

	

	function action_process_option_update() {

	    global $user_id;

	    update_usermeta($user_id, 'listposition', ( isset($_POST['listposition']) ? $_POST['listposition'] : '' ) );

	    update_usermeta($user_id, 'phonenumber', ( isset($_POST['phonenumber']) ? $_POST['phonenumber'] : '' ) );

	    update_usermeta($user_id, 'streetname', ( isset($_POST['streetname']) ? $_POST['streetname'] : '' ) );

	    update_usermeta($user_id, 'postalcode', ( isset($_POST['postalcode']) ? $_POST['postalcode'] : '' ) );

	    update_usermeta($user_id, 'city', ( isset($_POST['city']) ? $_POST['city'] : '' ) );

	    update_usermeta($user_id, 'maritalstatus', ( isset($_POST['maritalstatus']) ? $_POST['maritalstatus'] : '' ) );

	    update_usermeta($user_id, 'religion', ( isset($_POST['religion']) ? $_POST['religion'] : '' ) );

	    update_usermeta($user_id, 'education', ( isset($_POST['education']) ? $_POST['education'] : '' ) );

	}



}



/* Initialise outselves */

    add_action('plugins_loaded', create_function('','global $custom_user_meta_instance; $custom_user_meta_instance = new custom_user_meta();'));

?>

